<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('performers', function (Blueprint $table) {
            $table->id();             // id (bigint unsigned, auto-increment)
            $table->string('name');   // name (имя исполнителя / название группы)
            $table->timestamps();     // created_at и updated_at
            $table->softDeletes();    // deleted_at (для мягкого удаления)
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('performers');
    }
};
